{namespace twohX=TWOH\TwohTemplateOverrideX\ViewHelpers}

<div class="counter-ele col-xxl-6 col-xl-6 col-lg-6 col-md-12 col-12 px-1">
    <div class="counter-element {data.textColor} py-2 {f:if(condition: data.hideOnMobile, then: 'd-none d-md-block')} m{data.marginPos}{data.margin}">
        <f:if condition="{data.amount}">
            <div class="num h3">
                <f:if condition="{twohX:isNumeric(label: '{data.amount}')}">
                    <f:then>
                        <span
                                class="counter"
                                id="counter_{data._raw.uid}"
                                data-purecounter-start="0"
                                data-purecounter-end="{data.amount}"
                        >
                            0
                        </span> %
                    </f:then>
                    <f:else>
                        <span class="counter">
                            {data.amount}
                        </span>
                    </f:else>
                </f:if>
            </div>
        </f:if>
        <f:if condition="{data.header}">
            <div class="desc h9">
                {data.header}
            </div>
        </f:if>
    </div>
</div>